﻿## Description

Adds 33 Stronghold build pieces.

## Notes

Requires flat land. There is a Well included that will level a 100m square of land at a height of 5m. Yes the well looks like it floats, just place it. If this well is removed or destroyed, the 100m sqaure of land it created will also disapear (And most likely anything on it). 

Works best with a mod like Gizmo and/or a free build camera mod. 

Some of the stairs are a bit steep for Valheims Physics and as a result require you to run up them and you slide down them. (Not much I can do the models came like it sorry)

## Usage

If you intend on having the Bunkhouse in your design it is best to start with it, easier to snap walls to it than the other away around. 

For the walls you will need a capped piece inbetween each uncapped piece. So it would go something like:- Bunkhouse - Uncapped Wall - Capped Wall - Uncapped Wall - Tower

## Credits

Models and textures:- 

[Manufactura K4] (https://assetstore.unity.com/publishers/585)

## Special Thanx

Hausmaster from Odins Discord for helping me with custom mono behaviour's.

## Support

If you like what I do and want to support me.

<a href="https://www.buymeacoffee.com/horemvore"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=horemvore&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>

## Pieces

**Bunkhouse**

	Game Objects: 4
	Snap Points: 2 (Easier to snap walls to this, than this to walls)
	Length: 27m
	Width: 17m
	Height: 25m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 300 Stone 200 Wood
	
**Mustering Hall**

	Game Objects: 3
	Snap Points: 2
	Length: 17m
	Width: 10m
	Height: 21m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 200 Stone 125 Wood
	
**Gate House**

	Game Objects: 5
	Snap Points: 2
	Length: 18m
	Width: 6m
	Height: 19m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 150 Stone 150 Wood
	
**Enclosed Tower**

	Game Objects: 5
	Snap Points: 2
	Length: 9m
	Width: 9m
	Height: 25m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 150 Stone 150 Wood
	
**Corner Tower**

	Game Objects: 7
	Snap Points: 2
	Length: 9m
	Width: 9m
	Height: 20m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone 100 Wood
	
**Center Tower**

	Game Objects: 7
	Snap Points: 2
	Length: 9m
	Width: 9m
	Height: 20m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone 100 Wood
	
**Junction Tower**

	Game Objects: 7
	Snap Points: 3
	Length: 9m
	Width: 9m
	Height: 20m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone 100 Wood
	
**Wall Two Floor**

	Game Objects: 4
	Snap Points: 2
	Length: 16m
	Width: 6m
	Height: 13m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 75 Stone 50 Wood
	
**Wall Two Floor with Ladder**

	Game Objects: 4
	Snap Points: 2
	Length: 16m
	Width: 6m
	Height: 13m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 75 Stone 50 Wood
	
**Wall Two Floor with Nest**

	Game Objects: 5
	Snap Points: 2
	Length: 16m
	Width: 6m
	Height: 13m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 100 Stone 75 Wood
	
**Wall Two Floor with Nest, capped**

	Game Objects: 5
	Snap Points: 2
	Length: 16m
	Width: 6m
	Height: 13m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone 75 Wood
	
**Outer Wall**

	Game Objects: 2
	Snap Points: 2
	Length: 16m
	Width: 4m
	Height: 12m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 150 Stone

**Outer Wall Capped**

	Game Objects: 4
	Snap Points: 2
	Length: 16m
	Width: 4m
	Height: 12m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 200 Stone

**Outer Wall Covered**

	Game Objects: 3
	Snap Points: 2
	Length: 16m
	Width: 4m
	Height: 12m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 150 Stone, 40 Wood

**Outer Wall Covered and Capped**

	Game Objects: 5
	Snap Points: 2
	Length: 16m
	Width: 4m
	Height: 12m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 200 Stone, 50 Wood

**Outer Wall Tower Square**

	Game Objects: 7
	Snap Points: 3
	Length: 9 meter
	Width: 9 meter
	Height: 20 meter
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone, 100 Wood, 30 Iron

**Watchtower**

	Game Objects: 5
	Snap Points: 0
	Width: 8m
	Width: 8m
	Height: 17m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 110 Stone 80 Wood
	
**Outer Wall Tower Round**

	Game Objects: 5
	Snap Points: 3
	Width: 8m
	Width: 8m
	Height: 17m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 110 Stone, 80 Wood, 30 Iron

**Outer Wall Tower Round - End**

	Game Objects: 5
	Snap Points: 1
	Width: 8m
	Width: 8m
	Height: 17m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 110 Stone, 80 Wood, 30 Iron

**Outer Wall Tower Transition**

	Game Objects: 5
	Snap Points: 3
	Length: 9m
	Width: 9m
	Height: 20m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone, 100 Wood, 30 Iron

**Outer Wall Gate**

	Game Objects: 3
	Snap Points: 2
	Length: 16m
	Width: 4m
	Height: 14m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 125 Stone 75 Wood

**Inner Wall Arch**

	Game Objects: 1
	Snap Points: 2
	Length: 4m
	Width: 1m
	Height: 6m
	Footings: 2m
	Health: 1000
	Station: Stonecutter
	Cost: 75 Stone
	
**Inner Wall Pillar**

	Game Objects: 1
	Snap Points: 4
	Length: 1m
	Width: 1m
	Height: 4m
	Footings: 2m
	Health: 1000
	Station: Stonecutter
	Cost: 35 Stone
	
**Inner Wall**

	Game Objects: 1
	Snap Points: 2
	Length: 2m
	Width: 1m
	Height: 2m
	Footings: 2m
	Health: 1000
	Station: Stonecutter
	Cost: 75 Stone, Wood 15
	
**Inner Wall Posh**

	Game Objects: 2
	Snap Points: 2
	Length: 2m
	Width: 1m
	Height: 2m
	Footings: 2m
	Health: 1000
	Station: Stonecutter
	Cost: 35 Stone, Wood 10, Iron 15

**Small House**

	Game Objects: 9
	Snap Points: N/A
	Length: 13m
	Width: 9m
	Height: 10m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 200 Stone, Wood 100, Iron 50
	
**Medium House**

	Game Objects: 11
	Snap Points: N/A
	Length: 18m
	Width: 9m
	Height: 11m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 300 Stone, Wood 150, Iron 75

**Large House**

	Game Objects: 25
	Snap Points: N/A
	Length: 18m
	Width: 11m
	Height: 12m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 375 Stone, Wood 200, Iron 100

**Hay Barn**

	Game Objects: 8
	Snap Points: N/A
	Length: 15m
	Width: 7m
	Height: 7m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 50 Stone, Wood 175, Iron 50

**Old Barn**

	Game Objects: 8
	Snap Points: N/A
	Length: 15m
	Width: 7m
	Height: 7m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 50 Stone, Wood 225, Iron 40

**Storage Barn**

	Game Objects: 9
	Snap Points: N/A
	Length: 10m
	Width: 10m
	Height: 8m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 50 Stone, Wood 225, Iron 40
	
**Main Hall**

	Game Objects: 8
	Snap Points: N/A
	Length: 28m
	Width: 18m
	Height: 25m
	Footings: 7m
	Health: N/A
	Station: Stonecutter
	Cost: 400 Stone, Wood 200, Iron 100


## Patch Notes

**0.0.8**

	Fix for Main Hall and Storage Barn

**0.0.7**

- Added Livestock Barn
- Added Huge House
- Localization fixes
- Fixed door triggers.
- Added 2 more Well's (Ground Level, round and square)

**0.0.6**

- Extended the range that doors open by 0.5m.
- Fixed Small and Medium house doors having wonkey collider's.

**0.0.5**

- Removed Wear and Tear from nearly all pieces, intention was for people to be able to build on all floors of all the pieces. Makes them indestructible unless removed with the Hammer.
- Added 3 Houses.
- Added 3 Barns.
- Added Main Hall.

**0.0.4**

- All doors and gates open and close automatically for players.
- All pieces now require the Stonecutter workbench.
- Added 4 Inner Wall pieces.
- Removed Wear and Tear on Towers, Mustering Hall and Bunkhouse, you should now be able to build on all floors.

**0.0.3**

- Set the Main Gate portcullis to the open position untill I can work out why it wont animate.

**0.0.2**

- Included the dll I meant to the first time (Towers, Buildings and Enclosed walls act as roofs is the only difference)

**0.0.1**

- Initial upload to TS.